org.apache.jmeter.report.processor

## Class MaxAggregatorFactory

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractAggregatorFactory
  - - org.apache.jmeter.report.processor.MaxAggregatorFactory

- All Implemented Interfaces:
    AggregatorFactory

      public class MaxAggregatorFactory
      extends AbstractAggregatorFactory

  A factory for creating MaxAggregator objects.
  Since:
    3.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxAggregatorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Aggregator` | `createAggregator()`

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractAggregatorFactory

      `createAggregatedKeyValueAggregator, createKeyAggregator, createValueAggregator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxAggregatorFactory

          public MaxAggregatorFactory()

  - ### Method Detail

    - #### createAggregator

          protected Aggregator createAggregator()

      Specified by:
        `createAggregator` in class `AbstractAggregatorFactory`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.